<app-loader *ngIf="isLoading"></app-loader>
<app-navbar></app-navbar>
<h3>Dashboard - {{ user?.local?.username }}</h3>
<mat-tab-group>
  <mat-tab label="Timelines">
    <h4>Find project</h4>
    <div *ngFor="let project of (projects | async)?.projects">
      <app-card-project (comment)="commentProject($event)"
                        (support)="supportProject($event)"
                        (vote)="voteProject($event)"
                        [project]="project"
                        [user]="user">
      </app-card-project>
    </div>
  </mat-tab>

  <mat-tab label="Sponsorised project">
    <h4>Your project</h4>
    <div *ngFor="let project of (projects | async)?.sponsorisedProjects">
      <app-card-project (comment)="commentProject($event)"
                        (support)="supportProject($event)"
                        (vote)="voteProject($event)"
                        [project]="project"
                        [user]="user">
      </app-card-project>
    </div>
  </mat-tab>
</mat-tab-group>
